Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 377079 - sci-biology/GBrowse-2.39 fails to compile
Summary: sci-biology/GBrowse-2.39 fails to compile
Status: RESOLVED OBSOLETE
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Martin Mokrejš
URL:
Whiteboard:
Keywords: InOverlay
Depends on:
Blocks:
 
Reported: 2011-07-30 15:40 UTC by Martin Mokrejš
Modified: 2014-10-11 08:53 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Mokrejš 2011-07-30 15:40:08 UTC
I am preparing an ebuild which installs a perl-based application under webapp-config (in science overlay if you want to test). Once you install it a subsequent install triggers a sandbox error because the symlink already exists. It will be needed to prepend $destdir to the path passed to symlink(). But that is not the issue here. I am taking the opportunity to give you a detailed stacktrace in perl. ;)



ACCESS DENIED  symlink:      /usr/share/webapps/gbrowse/2.39/htdocs/i
ISE:write_logfile unable to append logfile
ISE symlink(/usr/share/webapps/gbrowse/2.39/htdocs/i): Permission denied
        abs_path: /usr/share/webapps/gbrowse/2.39/htdocs/i
        res_path: /usr/share/webapps/gbrowse/2.39/htdocs/i
/usr/lib/libsandbox.so(+0x290d)[0xb786790d]
/usr/lib/libsandbox.so(+0x2988)[0xb7867988]
/usr/lib/libsandbox.so(+0x41d5)[0xb78691d5]
/usr/lib/libsandbox.so(symlink+0x5f)[0xb786c8b0]
/usr/lib/libperl.so.5.12(Perl_pp_link+0x7e)[0xb7805e46]
/usr/lib/libperl.so.5.12(Perl_runops_standard+0x2d)[0xb77b67c1]
/usr/lib/libperl.so.5.12(perl_run+0x226)[0xb775cd5c]
/usr/bin/perl5.12.4(main+0x168)[0x8048cd1]
/lib/libc.so.6(__libc_start_main+0xe6)[0xb75dfdf2]
/usr/bin/perl5.12.4[0x8048a89]
/proc/1977/cmdline: /usr/bin/perl5.12.4 ./Build install 

/var/tmp/portage/sci-biology/gbrowse-2.39/temp/environment: line 2481:  1977 Aborted                 (core dumped) ./Build ${mytargets}
 * ERROR: sci-biology/gbrowse-2.39 failed (install phase):
 *   ./Build install failed
 * 
 * Call stack:
 *     ebuild.sh, line   56:  Called src_install
 *   environment, line 2825:  Called perl-module_src_install
 *   environment, line 2502:  Called die
 * The specific snippet of code:
 *           ./Build ${mytargets} || die "./Build ${mytargets} failed";


# gdb /usr/bin/perl5.12.4 /var/dumps/core.Build.1977
GNU gdb (Gentoo 7.2 p1) 7.2
Copyright (C) 2010 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i686-pc-linux-gnu".
For bug reporting instructions, please see:
<http://bugs.gentoo.org/>...
Reading symbols from /usr/bin/perl5.12.4...done.

warning: core file may not match specified executable file.
[New Thread 1977]

warning: Can't read pathname for load map: Input/output error.
Reading symbols from /usr/lib/libsandbox.so...done.
Loaded symbols for /usr/lib/libsandbox.so
Reading symbols from /usr/lib/libperl.so.5.12...done.
Loaded symbols for /usr/lib/libperl.so.5.12
Reading symbols from /lib/libc.so.6...done.
Loaded symbols for /lib/libc.so.6
Reading symbols from /lib/libdl.so.2...done.
Loaded symbols for /lib/libdl.so.2
Reading symbols from /lib/libm.so.6...done.
Loaded symbols for /lib/libm.so.6
Reading symbols from /lib/libcrypt.so.1...done.
Loaded symbols for /lib/libcrypt.so.1
Reading symbols from /lib/libpthread.so.0...done.
Loaded symbols for /lib/libpthread.so.0
Reading symbols from /lib/ld-linux.so.2...done.
Loaded symbols for /lib/ld-linux.so.2
Reading symbols from /usr/lib/perl5/vendor_perl/5.12.3/i686-linux-thread-multi/auto/Cwd/Cwd.so...done.
Loaded symbols for /usr/lib/perl5/vendor_perl/5.12.3/i686-linux-thread-multi/auto/Cwd/Cwd.so
Reading symbols from /usr/lib/perl5/vendor_perl/5.12.3/i686-linux-thread-multi/auto/List/Util/Util.so...done.
Loaded symbols for /usr/lib/perl5/vendor_perl/5.12.3/i686-linux-thread-multi/auto/List/Util/Util.so
Reading symbols from /usr/lib/perl5/5.12.4/i686-linux-thread-multi/auto/Data/Dumper/Dumper.so...done.
Loaded symbols for /usr/lib/perl5/5.12.4/i686-linux-thread-multi/auto/Data/Dumper/Dumper.so
Reading symbols from /usr/lib/perl5/vendor_perl/5.12.3/i686-linux-thread-multi/auto/IO/IO.so...done.
Loaded symbols for /usr/lib/perl5/vendor_perl/5.12.3/i686-linux-thread-multi/auto/IO/IO.so
Reading symbols from /usr/lib/perl5/5.12.4/i686-linux-thread-multi/auto/Fcntl/Fcntl.so...done.
Loaded symbols for /usr/lib/perl5/5.12.4/i686-linux-thread-multi/auto/Fcntl/Fcntl.so
Reading symbols from /usr/lib/perl5/vendor_perl/5.12.4/i686-linux-thread-multi/auto/version/vxs/vxs.so...done.
Loaded symbols for /usr/lib/perl5/vendor_perl/5.12.4/i686-linux-thread-multi/auto/version/vxs/vxs.so
Reading symbols from /usr/lib/perl5/5.12.4/i686-linux-thread-multi/auto/File/Glob/Glob.so...done.
Loaded symbols for /usr/lib/perl5/5.12.4/i686-linux-thread-multi/auto/File/Glob/Glob.so
Reading symbols from /usr/lib/perl5/5.12.4/i686-linux-thread-multi/auto/POSIX/POSIX.so...done.
Loaded symbols for /usr/lib/perl5/5.12.4/i686-linux-thread-multi/auto/POSIX/POSIX.so
Reading symbols from /usr/lib/perl5/5.12.4/i686-linux-thread-multi/auto/Socket/Socket.so...done.
Loaded symbols for /usr/lib/perl5/5.12.4/i686-linux-thread-multi/auto/Socket/Socket.so
Reading symbols from /usr/lib/perl5/vendor_perl/5.12.3/i686-linux-thread-multi/auto/Time/HiRes/HiRes.so...done.
Loaded symbols for /usr/lib/perl5/vendor_perl/5.12.3/i686-linux-thread-multi/auto/Time/HiRes/HiRes.so
Reading symbols from /lib/librt.so.1...done.
Loaded symbols for /lib/librt.so.1
Reading symbols from /usr/lib/perl5/vendor_perl/5.12.3/i686-linux-thread-multi/auto/DBI/DBI.so...done.
Loaded symbols for /usr/lib/perl5/vendor_perl/5.12.3/i686-linux-thread-multi/auto/DBI/DBI.so
Reading symbols from /usr/lib/perl5/vendor_perl/5.12.3/i686-linux-thread-multi/auto/DBD/mysql/mysql.so...done.
Loaded symbols for /usr/lib/perl5/vendor_perl/5.12.3/i686-linux-thread-multi/auto/DBD/mysql/mysql.so
Reading symbols from /usr//lib/libmysqlclient.so.16...done.
Loaded symbols for /usr//lib/libmysqlclient.so.16
Reading symbols from /usr/lib/libssl.so.1.0.0...done.
Loaded symbols for /usr/lib/libssl.so.1.0.0
Reading symbols from /usr/lib/libcrypto.so.1.0.0...done.
Loaded symbols for /usr/lib/libcrypto.so.1.0.0
Reading symbols from /lib/libz.so.1...done.
Loaded symbols for /lib/libz.so.1
Reading symbols from /lib/libnss_compat.so.2...done.
Loaded symbols for /lib/libnss_compat.so.2
Reading symbols from /lib/libnsl.so.1...done.
Loaded symbols for /lib/libnsl.so.1
Reading symbols from /lib/libnss_nis.so.2...done.
Loaded symbols for /lib/libnss_nis.so.2
Reading symbols from /lib/libnss_files.so.2...done.
Loaded symbols for /lib/libnss_files.so.2
Reading symbols from /usr/lib/perl5/vendor_perl/5.12.3/i686-linux-thread-multi/auto/Storable/Storable.so...done.
Loaded symbols for /usr/lib/perl5/vendor_perl/5.12.3/i686-linux-thread-multi/auto/Storable/Storable.so
Reading symbols from /usr/lib/perl5/vendor_perl/5.12.3/i686-linux-thread-multi/auto/Digest/SHA1/SHA1.so...done.
Loaded symbols for /usr/lib/perl5/vendor_perl/5.12.3/i686-linux-thread-multi/auto/Digest/SHA1/SHA1.so
Reading symbols from /usr/lib/perl5/vendor_perl/5.12.4/i686-linux-thread-multi/auto/Compress/Raw/Zlib/Zlib.so...done.
Loaded symbols for /usr/lib/perl5/vendor_perl/5.12.4/i686-linux-thread-multi/auto/Compress/Raw/Zlib/Zlib.so
Reading symbols from /usr/lib/perl5/vendor_perl/5.12.3/i686-linux-thread-multi/auto/MIME/Base64/Base64.so...done.
Loaded symbols for /usr/lib/perl5/vendor_perl/5.12.3/i686-linux-thread-multi/auto/MIME/Base64/Base64.so
Reading symbols from /usr/lib/perl5/vendor_perl/5.12.4/i686-linux-thread-multi/auto/Math/BigInt/GMP/GMP.so...done.
Loaded symbols for /usr/lib/perl5/vendor_perl/5.12.4/i686-linux-thread-multi/auto/Math/BigInt/GMP/GMP.so
Reading symbols from /usr/lib/libgmp.so.10...done.
Loaded symbols for /usr/lib/libgmp.so.10
Reading symbols from /usr/lib/perl5/vendor_perl/5.12.4/i686-linux-thread-multi/auto/DBD/SQLite/SQLite.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/perl5/vendor_perl/5.12.4/i686-linux-thread-multi/auto/DBD/SQLite/SQLite.so
Reading symbols from /usr/lib/libsqlite3.so.0...done.
Loaded symbols for /usr/lib/libsqlite3.so.0
Reading symbols from /usr/lib/libicui18n.so.48...done.
Loaded symbols for /usr/lib/libicui18n.so.48
Reading symbols from /usr/lib/libicuuc.so.48...done.
Loaded symbols for /usr/lib/libicuuc.so.48
Reading symbols from /usr/lib/gcc/i686-pc-linux-gnu/4.5.2/libstdc++.so.6...done.
Loaded symbols for /usr/lib/gcc/i686-pc-linux-gnu/4.5.2/libstdc++.so.6
Reading symbols from /usr/lib/gcc/i686-pc-linux-gnu/4.5.2/libgcc_s.so.1...done.
Loaded symbols for /usr/lib/gcc/i686-pc-linux-gnu/4.5.2/libgcc_s.so.1
Reading symbols from /usr/lib/libicudata.so.48...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libicudata.so.48
Core was generated by `/usr/bin/perl5.12.4 ./Build install'.
Program terminated with signal 6, Aborted.
#0  0xffffe424 in __kernel_vsyscall ()
(gdb) where
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb75f31b1 in raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#2  0xb75f46d4 in abort () at abort.c:92
#3  0xb786799f in sb_abort () at ../../sandbox-2.5/libsandbox/libsandbox.c:490
#4  0xb78691d5 in check_syscall (dirfd=-100, sb_nr=30, func=<value optimized out>, file=0x921fd48 "/usr/share/webapps/gbrowse/2.39/htdocs/i", flags=0)
    at ../../sandbox-2.5/libsandbox/libsandbox.c:1017
#5  before_syscall (dirfd=-100, sb_nr=30, func=<value optimized out>, file=0x921fd48 "/usr/share/webapps/gbrowse/2.39/htdocs/i", flags=0)
    at ../../sandbox-2.5/libsandbox/libsandbox.c:1115
#6  0xb786c8b0 in symlink_DEFAULT (oldpath=0x92bdbe0 "/var/tmp/gbrowse2/images", newpath=0x921fd48 "/usr/share/webapps/gbrowse/2.39/htdocs/i")
    at ../../sandbox-2.5/libsandbox/wrapper-funcs/__wrapper_simple.c:52
#7  0xb7805e46 in Perl_pp_link (my_perl=0x804b008) at pp_sys.c:3635
#8  0xb77b67c1 in Perl_runops_standard (my_perl=0x804b008) at run.c:40
#9  0xb775cd5c in S_run_body (my_perl=0x804b008) at perl.c:2303
#10 perl_run (my_perl=0x804b008) at perl.c:2233
#11 0x08048cd1 in main (argc=3, argv=0xbfcaf8b4, env=0xbfcaf8c4) at perlmain.c:117
(gdb) bt full
#0  0xffffe424 in __kernel_vsyscall ()
No symbol table info available.
#1  0xb75f31b1 in raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
        resultvar = <value optimized out>
        resultvar = <value optimized out>
        pid = -1217298444
        selftid = 1977
#2  0xb75f46d4 in abort () at abort.c:92
        save_stage = 2
        act = {__sigaction_handler = {sa_handler = 0xb78ad590, sa_sigaction = 0xb78ad590}, sa_mask = {__val = {3217741092, 3079370242, 3217741076, 3079035468, 3217741064, 
              3079449172, 0, 3076278752, 1, 0, 1, 3079328728, 4096, 3217741016, 3079098356, 3077668852, 3077049708, 3079072582, 3, 3079098356, 0, 3217741136, 3217741064, 
              3217741076, 13, 3079328728, 0, 3079037740, 3217741080, 3079042487, 3045126148, 3045126148}}, sa_flags = 4096, sa_restorer = 0xb7874ff4}
        sigs = {__val = {32, 0 <repeats 31 times>}}
#3  0xb786799f in sb_abort () at ../../sandbox-2.5/libsandbox/libsandbox.c:490
No locals.
#4  0xb78691d5 in check_syscall (dirfd=-100, sb_nr=30, func=<value optimized out>, file=0x921fd48 "/usr/share/webapps/gbrowse/2.39/htdocs/i", flags=0)
    at ../../sandbox-2.5/libsandbox/libsandbox.c:1017
        debug = <value optimized out>
        sbcontext = 0xb7875160
        verbose = <value optimized out>
        absolute_path = 0xb5814004 "/usr/share/webapps/gbrowse/2.39/htdocs/i"
        resolved_path = 0xb5811004 "/usr/share/webapps/gbrowse/2.39/htdocs/i"
        log_path = <value optimized out>
        debug_log_path = <value optimized out>
        old_errno = 0
        result = <value optimized out>
        access = <value optimized out>
#5  before_syscall (dirfd=-100, sb_nr=30, func=<value optimized out>, file=0x921fd48 "/usr/share/webapps/gbrowse/2.39/htdocs/i", flags=0)
    at ../../sandbox-2.5/libsandbox/libsandbox.c:1115
        result = 0
        sbcontext = {show_access_violation = true, prefixes = {0xb787b004, 0xb7879004, 0xb730f004, 0xb72b3004, 0x0}, num_prefixes = {0, 4, 30, 3, 0}}
        at_file_buf = "nux-thread-multi/auto/GBrowse\000hics/Browser2/CAlign\000\000\233\002\000\000l\261\004\b٥~\267\250\332\037\t\364\037\206\267\b\327ʿn?t\267\b\260\004\b\310\332\037\t\000\000\002\000\345!t\267@\321\034\t\b\260\004\b\250\326ʿ\240\037\035\t\b\260\004\b\a\003\000\000l\261\004\b\305C{\267\017\000\031\t~\001\000\000\370\326ʿ\364\037\206\267\b\260\004\b\260\203\204\267\064\264\004\ba\227~\267\000\265\004\b_\001\000\000X\262\004\b 2\206\267 2\206\267\000\002\000\000\330\313\037\t\364\037\206\267\020\336\037\t\b\260\004\b\b\327ʿ\v\267~\267\b\260\004\b\226\002\000\000l\261\004\b٥~\267\210\264\037\t\364\037\206\267\250\327ʿn?t\267\b\260\004\b\250\264\037\t\032\000\000\000\345!t\267\b\260\004\b\346\000\000\000H\327ʿ\v\267~\267\b\260\004\b\002\003\000\000l\261\004\b\305C"...
        old_errno = 0
        sb_env_names = {0xb786fa4f "SANDBOX_DENY", 0xb786fa5c "SANDBOX_READ", 0xb786fa69 "SANDBOX_WRITE", 0xb786fa77 "SANDBOX_PREDICT"}
        i = 0
#6  0xb786c8b0 in symlink_DEFAULT (oldpath=0x92bdbe0 "/var/tmp/gbrowse2/images", newpath=0x921fd48 "/usr/share/webapps/gbrowse/2.39/htdocs/i")
    at ../../sandbox-2.5/libsandbox/wrapper-funcs/__wrapper_simple.c:52
        result = -1
#7  0xb7805e46 in Perl_pp_link (my_perl=0x804b008) at pp_sys.c:3635
        tmps2 = 0x921fd48 "/usr/share/webapps/gbrowse/2.39/htdocs/i"
        tmps = <value optimized out>
        sp = 0x8685bdc
        targ = 0x88ff930
        op_type = <value optimized out>
        result = <value optimized out>
#8  0xb77b67c1 in Perl_runops_standard (my_perl=0x804b008) at run.c:40
No locals.
#9  0xb775cd5c in S_run_body (my_perl=0x804b008) at perl.c:2303
No locals.
#10 perl_run (my_perl=0x804b008) at perl.c:2233
        oldscope = 1
---Type <return> to continue, or q <return> to quit---
        ret = <value optimized out>
        cur_env = {je_prev = 0x804b180, je_buf = {{__jmpbuf = {-1215946764, 0, 0, -1077217320, 39596861, 2082785580}, __mask_was_saved = 0, __saved_mask = {__val = {
                  3079386671, 3079329856, 0, 1, 1, 3078525807, 0, 1339056, 3077738416, 3079329416, 3077722544, 4294967295, 3079446460, 134514443, 1, 3217749952, 3079386671, 
                  3079449264, 0, 1, 1, 0, 0, 134520848, 134514224, 0, 3077738416, 134520820, 0, 0, 3217750040, 3079411264}}}}, je_ret = 3, je_mustcatch = 0 '\000'}
#11 0x08048cd1 in main (argc=3, argv=0xbfcaf8b4, env=0xbfcaf8c4) at perlmain.c:117
        exitstatus = <value optimized out>
        i = <value optimized out>
(gdb)

# emerge -pv perl

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R    ] dev-lang/perl-5.12.4  USE="berkdb gdbm ithreads -build -debug -doc" 0 kB


# emerge -pv sandbox

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R    ] sys-apps/sandbox-2.5  USE="(-multilib)" 348 kB
Comment 1 Agostino Sarubbo gentoo-dev 2011-08-02 13:26:50 UTC
please add log as attachment next time.
Comment 2 Andrey Kislyuk (RETIRED) gentoo-dev 2011-08-02 15:52:14 UTC
Not my ebuild. I haven't encountered this and the ebuild in the tree is different from Martin's.
Comment 3 Martin Mokrejš 2011-08-02 20:21:33 UTC
I am improving the GBrowse ebuild and it was not my intent to report its issues. :) Instead, I wanted to report the perl/sandbox crash and that is why I added the stacktrace. Please re-assign to perl herd. The ebuild is in sci overlay, or was as of the time of writing, under sci-biology/gbrowse. You can use it to trigged the bug again if the stacktrace is not sufficient.
Comment 4 Martin Mokrejš 2011-08-02 20:22:32 UTC
I am improving the GBrowse ebuild and it was not my intent to report its issues. :) Instead, I wanted to report the perl/sandbox crash and that is why I added the stacktrace. This is here just for perl herd. The ebuild is in sci overlay, or was as of the time of writing, under sci-biology/gbrowse. You can use it to trigged the bug again if the stacktrace is not sufficient.
Comment 5 Andreas K. Hüttel gentoo-dev 2014-10-11 08:53:25 UTC
Please reopen if this issue still exists with recent Perl.